<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Servicio</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Administrador</a>
            </li>
            <li class="breadcrumb-item active">Agregar Servicio</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2><strong>Nuevo Servicio</strong></h2>
          </div>
          <div class="body">
            <form class="m-4" [formGroup]="formularioservicio" (ngSubmit)="onSubmit()">

              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-label>Nombre del servicio</mat-label>
                    <input matInput formControlName="Nombre" required>
                    <mat-error *ngIf="formularioservicio.get('Nombre').hasError('required')">
                        El nombre del servicio no puede estar vacio
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
    
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-label>Categoría</mat-label>
                    <mat-select placeholder="Elegir opcion" formControlName="idCategorias" required>
                        <mat-option>
                          <ngx-mat-select-search [formControl]="controldefiltro" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                        </mat-option>
                        <mat-option *ngFor="let categ of categorias1" [value]="categ.idCategorias">
                          {{categ.Nombre}}
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="formularioservicio.get('idCategorias').hasError('required')">
                        La categoría es necesaria
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
    
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-label>Costo del servicio</mat-label>
                    <input matInput formControlName="Costo" type="number" required>
                    <mat-error *ngIf="formularioservicio.get('Costo').hasError('required')">
                        Debes de ingresar el costo del servicio
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
    
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-label>Descripción del servicio</mat-label>
                    <input matInput formControlName="Descripcion">
                  </mat-form-field>
                </div>
              </div>
    
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                      <mat-checkbox class="example-margin" formControlName="MostrarDesh">Habilitar Servio</mat-checkbox>
                </div>
              </div>

              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <button class="mr-3" [disabled]="!formularioservicio.valid " mat-raised-button color="primary" *ngIf="idClinica !== null">Guardar</button>
                </div>
              </div>

            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
